跳轉到主要內容
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
balance-updates
錢包 - 餘額變動
curl --request GET \
  --url https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/balance-updates \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "accountOwnerAddress": "<string>",
      "balanceChange": "<string>",
      "balanceChangeInNative": "<string>",
      "balanceChangeInUsd": "<string>",
      "blockHash": "<string>",
      "blockHeight": 123,
      "blockTimestamp": 123,
      "changeType": "INCREASE",
      "index": 123,
      "postBalance": "<string>",
      "postBalanceInNative": "<string>",
      "postBalanceInUsd": "<string>",
      "preBalance": "<string>",
      "preBalanceInNative": "<string>",
      "preBalanceInUsd": "<string>",
      "tokenAccountAddress": "<string>",
      "tokenAddress": "<string>",
      "transactionSignature": "<string>",
      "type": "SOL",
      "blockSlot": 123
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

授權

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路徑參數

chain
enum<string>
必填

支援網路列表中的鏈名稱 Supported blockchain chains

可用選項:
sol,
eth,
bsc
walletAddress
string
必填

錢包地址

查詢參數

cursor
string

分頁游標

limit
integer<int64>
預設值:20

每頁回傳結果數量

direction
enum<string>
預設值:next

分頁方向(next 或 prev) Pagination direction

可用選項:
next,
prev
tokenAddress
string

代幣地址

timeFrom
integer<int64>

開始時間戳(Unix 秒級時間戳)

timeTo
integer<int64>

結束時間戳(Unix 秒級時間戳)

type
enum<string>

餘額類型篩選(SOL 為原生代幣,SPL 為代幣) Balance token type

可用選項:
SOL,
SPL
changeType
enum<string>

餘額變動方向篩選(INCREASE 或 DECREASE) Balance change type

可用選項:
INCREASE,
DECREASE

回應

200 - application/json

成功回應

Generic pagination response

data
object[]
必填

Page data

endCursor
string | null

Cursor for the end of current page

範例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

範例:

false

hasPrev
boolean

Whether there is a previous page

範例:

false

startCursor
string | null

Cursor for the start of current page

範例:

"eyJpZCI6InN0YXJ0In0="